////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// mc5103_load.h -                                                            //
//                                                                            //
//      Header file for synchronization and exchange library for MC5103       //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#ifndef __MC5103_LOAD__H__
#define __MC5103_LOAD__H__

#include <stdlib.h>

#define MC5103_SYNC "1.1"
#define MC5103_SYNC_MAJOR_VERSION 1
#define MC5103_SYNC_MINOR_VERSION 1

extern "C"
{
	// Return processor number on board
	int ncl_getProcessorNo(void);

	// Barrier sync with host PC
	int ncl_hostSync(int value);

	// Barrier sync with host PC with array exchange
	int ncl_hostSyncArray(
		int value,        // Sync value
		void *outAddress, // Sended array address (can be NULL)
		size_t outLen,    // Sended array length (can be 0)
		void **inAddress, // Received array address pointer (can be NULL)
		size_t *inLen);   // Received array size pointer (can be NULL)
};

#endif // __MC5103_LOAD__H__
